Bug 913852 - matreshka: FTBFS in rawhide
matreshka: FTBFS in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: matreshka (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Zhukov
Fedora Extras Quality Assurance
:
Depends On: 914630
Blocks: F19FTBFS
  Show dependency treegraph
 
Reported: 2013-02-22 04:05 EST by Dennis Gilmore
Modified: 2014-06-18 03:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 13:22:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-02-22 04:05:03 EST
Your package matreshka failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4954523

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/4523/4954523/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/4523/4954523/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/4523/4954523/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 Pavel Zhukov 2013-02-22 04:59:40 EST
Failed to build with GCC-4.8.
Comment 2 Vadim Godunko 2013-02-22 05:50:28 EST
This is regression in GCC 4.8. GNAT computes size of the object to be allocated incorrectly:

$ gdb .objs/string_hash_test
(gdb) break __gnat_malloc
(gdb) run
Breakpoint 2, <__gnat_malloc> (size=18446744073709551615) at s-memory.adb:75
75            if Size = size_t'Last then

I'm unable to extract small reproducer unfortunately.
Comment 3 Maxim Reznik 2013-02-22 16:46:44 EST
Smaller reproducer:

with Ada.Streams;

package Pkg is
   use type Ada.Streams.Stream_Element_Offset;

   type Vector (Size : Ada.Streams.Stream_Element_Offset) is record
      Value : Ada.Streams.Stream_Element_Array (0 .. Size);
   end record;

   Empty_Vector : Vector (-1);
   
end Pkg;

with Pkg;
procedure Bbb is
begin
   null;
end Bbb;

$ gnatmake bbb
gcc -c bbb.adb
gcc -c pkg.ads
pkg.ads:10:04: warning: "Storage_Error" will be raised at run time
gnatbind -x bbb.ali
gnatlink bbb.ali

$ ./bbb

raised STORAGE_ERROR : object too large
Comment 4 Fedora End Of Life 2013-04-03 15:41:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.